h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
        content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

/*.mud-table-sticky-header * .mud-table-root .mud-table-head * .mud-table-cell {*/
.mud-table .mud-table-head .mud-table-row .mud-table-cell {
  background-color: #005890;
  position: sticky;
  z-index: 2;
  top: 0;
  color: white;
  padding: 10px;
  line-height: 1rem;
}

.mud-table-body .mud-table-row > .mud-table-cell {
  white-space: nowrap;
  padding: 0px 10px;
}

.mud-icon-size-small {
  font-size: 1rem;
}

.mud-dialog .mud-dialog-title {
  padding: 1px 10px;
  background-color: #005890;
  color: white;
}

.compact-grid {
  gap: 0px;  /*Reduce el espacio entre filas*/ 
}

.compact-field {
  margin-bottom: 1px;  /*Reduce el espacio entre los campos */
}

.mud-grid-spacing-xs-6
{
  margin-top: -10px;
}

.mud-grid-spacing-xs-6 > .mud-grid-item
{
  padding-top: 6px;
}

.mud-input-control > .mud-input-control-input-container > div.mud-input.mud-input-text.mud-input-text-with-label
{
  margin-top: 13px;
}

.mud-input-control > .mud-input-control-input-container > .mud-input-label-inputcontrol
{
  font-size: 14px;
}

.mud-input > input.mud-input-root, div.mud-input-slot.mud-input-root
{
  font-size: 14px;
  padding: 10px 0 1px 0;
}

.mud-typography-body1 {
  font-size: 14px;
}

.mud-icon-size-medium{
  font-size: 1.2rem;
}

th .mud-icon-size-medium {
  color: white; /* Cambia el color del checkbox */
  width: 20px;
}

.fa-classic, .fa-regular, .fa-solid, .far, .fas {
  font-size: 1rem;
}

.mud-button-icon-size-small > *:first-child {
  font-size: 1rem;
}

.mud-container--gutters {
  padding-left: 10px;
  padding-right: 10px;
}

.pa-3 {
  padding: 10px !important;
}

.mud-dialog .mud-dialog-content {
  padding: 5px 24px;
}

@media (min-width: 600px) {
  .mud-toolbar {
    --mud-internal-toolbar-height: 40px;
  }
}

.mud-input-control.mud-input-number-control input[type=number] {
  text-align: right;
}

.mud-table-row:hover {
  background-color: #E0F2F1 !important;
}

/*.mud-input-control.mud-input-control-boolean-input
{
  margin-top: 13px;
}
*/
.mud-table .mud-input-control.mud-input-control-boolean-input {
  all: unset; /* O algún reset específico */
}

ol.mud-breadcrumbs.mud-typography-body1 {
  font-size: 16px;
  height: 32.01px;
  padding: 6px 12px;
}

.mud-switch-label-small {
  font-size: 14px !important;
}

.mud-breadcrumbs
{
  flex-wrap:nowrap;
}

.report-grid .mud-table-head .mud-icon-root {
  color: white !important;
  fill: white !important;
}

.report-grid .mud-table-head .mud-sort-index {
  color: white !important;
}

.page-button .mud-table-pagination-actions .mud-icon-button {
  padding: 6px;
}

.job-row-active td {
  background-color: #E0F2F1;
}

.job-row-active td:first-child {
    box-shadow: inset 4px 0 0 var(--mud-palette-primary);
  }

.mud-picker-calendar .mud-day .mud-typography {
  margin-top: 0px;
}

.session-chip {
  border-radius: 999px;
  font-weight: 600;
  letter-spacing: .2px;
}

/* mini “blink” cuando cambia el deadline (se reinicia) */
.pulse {
  animation: pulse 0.35s ease-in-out;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.06);
  }

  100% {
    transform: scale(1);
  }
}

.session-avatar {
  cursor: pointer;
}

/* Pulso suave solo en estado crítico */
.avatar-pulse {
  animation: avatarPulse 1.8s infinite ease-in-out;
}

@keyframes avatarPulse {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.07);
  }

  100% {
    transform: scale(1);
  }
}

.mud-badge.mud-badge-bordered {
  border-width: 1px;
}

.mud-badge.mud-badge-bottom.right.mud-badge-overlap {
  inset: calc(100% - 10px) auto auto calc(100% - 10px);
}